Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 12/08/2022 in all areas

  1. @mhupp FWIW, This would be quite a bit more efficient since it's not iterating all the layers: (foreach la '("Construction_Layer" "Construction_Layer2" "Construction_Layer3") (if (setq e (tblobjname "layer" la)) (vla-put-lock (vlax-ename->vla-object e) :vlax-true) ) )
    2 points
  2. I stumbled upon superhatch, which seems to give me exactly what I needed. Just wanted to let you know. Again, thanks for the help.
    1 point
  3. @3dwannab FWIW .. instead of making a new block for different sizes that have the same geometry create one definition that is 1unit * 1unit and set it to scale uniformly then you can set the size based on the actual canopy area. If it was structured like this, then all you have to do is grab the X value and set that the same on your new block. Just some organizational insight. Block Replace but Retain Overall Size - RJP.dwg
    1 point
  4. There might be a better way to do it but this should work. (defun C:S (/ lst) (vl-load-com) (setq lst '("Construction_Layer" "Construction_Layer2" "Construction_Layer3")) ;layers you want to lock and unlock (foreach lay lst (if (setq e (tblobjname "layer" la)) (vla-put-lock (vlax-ename->vla-object e) :vlax-true) ) ) (command "_.Stretch" pause) (foreach lay lst (if (setq e (tblobjname "layer" la)) (vla-put-lock (vlax-ename->vla-object e) :vlax-false) ) ) )
    1 point
  5. Hi mhupp, thank you for helping me. Is it possible to lock and unlock multiple layers ? "Construction_Layer1, Construction_Layer2, Construction_Layer3"
    1 point
  6. How to draw a line in Blender? Mode: Draw Mode. Tool: Line. It's amazing what you can find with a simple search. The topic is covered in the Blender Manual which users have access to as part of the program.
    1 point
  7. R.I.P., Sinc - http://www.quuxsoft.com/
    1 point
  8. Quick and dirty: (defun c:txt2tag (/ oldcmd ss) (setq oldcmd (getvar "CMDECHO")) (setvar "CMDECHO" 0) (if (setq ss (ssget (list (cons 0 "TEXT") (if (getvar "CTAB")(cons 410 (getvar "CTAB")) (cons 67 (- 1 (getvar "TILEMODE"))))))) (progn (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss))) (command "-attdef" "" (cdr (assoc 1 (entget e))) "" "" (cdr (assoc 10 (entget e))) "") (entdel e))) (princ "\n<!> No Text Selected <!>")) (setvar "CMDECHO" oldcmd) (princ))
    1 point
×
×
  • Create New...